<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="page">
    <name>main</name>
    <title>Globus GSI Proxy SSL API</title>
    <filename>main</filename>
    <docanchor>globus_gsi_proxy_ssl_api</docanchor>
  </compound>
  <compound kind="struct">
    <name>PROXYCERTINFO_st</name>
    <filename>structPROXYCERTINFO__st.html</filename>
  </compound>
  <compound kind="struct">
    <name>PROXYPOLICY_st</name>
    <filename>structPROXYPOLICY__st.html</filename>
  </compound>
  <compound kind="group">
    <name>proxycertinfo</name>
    <title>ProxyCertInfo</title>
    <filename>group__proxycertinfo.html</filename>
    <class kind="struct">PROXYCERTINFO_st</class>
    <member kind="function">
      <type>ASN1_METHOD *</type>
      <name>PROXYCERTINFO_asn1_meth</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>PROXYCERTINFO *</type>
      <name>PROXYCERTINFO_new</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>PROXYCERTINFO_free</name>
      <anchor>a2</anchor>
      <arglist>(PROXYCERTINFO *cert_info)</arglist>
    </member>
    <member kind="function">
      <type>PROXYCERTINFO *</type>
      <name>PROXYCERTINFO_dup</name>
      <anchor>a3</anchor>
      <arglist>(PROXYCERTINFO *cert_info)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>PROXYCERTINFO_cmp</name>
      <anchor>a4</anchor>
      <arglist>(const  PROXYCERTINFO *a, const  PROXYCERTINFO *b)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>PROXYCERTINFO_print</name>
      <anchor>a5</anchor>
      <arglist>(BIO *bp, PROXYCERTINFO *cert_info)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>PROXYCERTINFO_print_fp</name>
      <anchor>a6</anchor>
      <arglist>(FILE *fp, PROXYCERTINFO *cert_info)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>PROXYCERTINFO_set_policy</name>
      <anchor>a7</anchor>
      <arglist>(PROXYCERTINFO *cert_info, PROXYPOLICY *policy)</arglist>
    </member>
    <member kind="function">
      <type>PROXYPOLICY *</type>
      <name>PROXYCERTINFO_get_policy</name>
      <anchor>a8</anchor>
      <arglist>(PROXYCERTINFO *cert_info)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>PROXYCERTINFO_set_path_length</name>
      <anchor>a9</anchor>
      <arglist>(PROXYCERTINFO *cert_info, long path_length)</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>PROXYCERTINFO_get_path_length</name>
      <anchor>a10</anchor>
      <arglist>(PROXYCERTINFO *cert_info)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>i2d_PROXYCERTINFO</name>
      <anchor>a11</anchor>
      <arglist>(PROXYCERTINFO *cert_info, unsigned char **pp)</arglist>
    </member>
    <member kind="function">
      <type>PROXYCERTINFO *</type>
      <name>d2i_PROXYCERTINFO</name>
      <anchor>a12</anchor>
      <arglist>(PROXYCERTINFO **cert_info, unsigned char **pp, long length)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>i2d_PROXYCERTINFO_OLD</name>
      <anchor>a13</anchor>
      <arglist>(PROXYCERTINFO *cert_info, unsigned char **pp)</arglist>
    </member>
    <member kind="function">
      <type>PROXYCERTINFO *</type>
      <name>d2i_PROXYCERTINFO_OLD</name>
      <anchor>a14</anchor>
      <arglist>(PROXYCERTINFO **cert_info, unsigned char **pp, long length)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>proxypolicy</name>
    <title>ProxyPolicy</title>
    <filename>group__proxypolicy.html</filename>
    <class kind="struct">PROXYPOLICY_st</class>
    <member kind="function">
      <type>ASN1_METHOD *</type>
      <name>PROXYPOLICY_asn1_meth</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>PROXYPOLICY *</type>
      <name>PROXYPOLICY_new</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>PROXYPOLICY_free</name>
      <anchor>a2</anchor>
      <arglist>(PROXYPOLICY *policy)</arglist>
    </member>
    <member kind="function">
      <type>PROXYPOLICY *</type>
      <name>PROXYPOLICY_dup</name>
      <anchor>a3</anchor>
      <arglist>(PROXYPOLICY *policy)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>PROXYPOLICY_cmp</name>
      <anchor>a4</anchor>
      <arglist>(const  PROXYPOLICY *a, const  PROXYPOLICY *b)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>PROXYPOLICY_print</name>
      <anchor>a5</anchor>
      <arglist>(BIO *bp, PROXYPOLICY *policy)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>PROXYPOLICY_print_fp</name>
      <anchor>a6</anchor>
      <arglist>(FILE *fp, PROXYPOLICY *policy)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>PROXYPOLICY_set_policy_language</name>
      <anchor>a7</anchor>
      <arglist>(PROXYPOLICY *policy, ASN1_OBJECT *policy_language)</arglist>
    </member>
    <member kind="function">
      <type>ASN1_OBJECT *</type>
      <name>PROXYPOLICY_get_policy_language</name>
      <anchor>a8</anchor>
      <arglist>(PROXYPOLICY *policy)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>PROXYPOLICY_set_policy</name>
      <anchor>a9</anchor>
      <arglist>(PROXYPOLICY *proxypolicy, unsigned char *policy, int length)</arglist>
    </member>
    <member kind="function">
      <type>unsigned char *</type>
      <name>PROXYPOLICY_get_policy</name>
      <anchor>a10</anchor>
      <arglist>(PROXYPOLICY *policy, int *length)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>i2d_PROXYPOLICY</name>
      <anchor>a11</anchor>
      <arglist>(PROXYPOLICY *a, unsigned char **pp)</arglist>
    </member>
    <member kind="function">
      <type>PROXYPOLICY *</type>
      <name>d2i_PROXYPOLICY</name>
      <anchor>a12</anchor>
      <arglist>(PROXYPOLICY **a, unsigned char **pp, long length)</arglist>
    </member>
  </compound>
</tagfile>
